import request from '@/utils/request'

// 查询农机故障告警记录列表
export function listMachineAlarmRecords(query) {
  return request({
    url: '/base/machineAlarmRecords/list',
    method: 'get',
    params: query
  })
}

// 查询农机故障告警记录详细
export function getMachineAlarmRecords(id) {
  return request({
    url: '/base/machineAlarmRecords/' + id,
    method: 'get'
  })
}


// 新增农机故障告警记录
export function addMachineAlarmRecords(data) {
  return request({
    url: '/base/machineAlarmRecords',
    method: 'post',
    data: data
  })
}

// 修改农机故障告警记录
export function updateMachineAlarmRecords(data) {
  return request({
    url: '/base/machineAlarmRecords',
    method: 'put',
    data: data
  })
}

// 删除农机故障告警记录
export function delMachineAlarmRecords(id) {
  return request({
    url: '/base/machineAlarmRecords/' + id,
    method: 'delete'
  })
}
